#
# spec file for package rubygem-erubi-1.10
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define mod_name erubi
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -1.10
#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#
Name:           rubygem-erubi-1.10
Version:        1.10.0
Release:        bp153.2.1
Summary:        Small ERB Implementation
License:        MIT
Group:          Development/Languages/Ruby
URL:            https://github.com/jeremyevans/erubi
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5

%description
Erubi is a ERB template engine for ruby. It is a simplified fork of Erubis.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Fri Dec 11 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.10.0
  * Improve template parsing, mostly by reducing allocations (jeremyevans)
  * Do not ship tests in the gem, reducing gem size about 20%% (jeremyevans)
  * Support :literal_prefix and :literal_postfix options for how to output literal tags (e.g. <%%%% code %%>) (jaredcwhite) (#26, #27)
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.9.0
  * Change default :bufvar from 'String.new' to '::String.new' to work with BasicObject (jeremyevans)
* Wed Dec 19 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.8.0
  see installed CHANGELOG
  === 1.8.0 (2018-12-18)
  * Support :yield_returns_buffer option in capture_end for always returning the (potentially modified) buffer in <%%|= tags (evanleck) (#15)
* Tue Mar  6 2018 factory-auto@kulow.org
- updated to version 1.7.1
  see installed CHANGELOG
  === 1.7.1 (2018-03-05)
  * Make whitespace handling for <%%# %%> tags more compatible with Erubis (jeremyevans) (#14)
* Fri Oct 13 2017 mschnitzer@suse.com
- updated to version 1.7.0
  * Fix escaping in erubi/capture_end, the setting was previously inverted (jeremyevans) (#10)
* Thu Aug  3 2017 coolo@suse.com
- updated to version 1.6.1
  see installed CHANGELOG
  === 1.6.1 (2017-06-27)
  * Fix usage on newer versions of JRuby 9.1 (jeremyevans)
* Mon Jun 19 2017 enavarro@suse.com
- Initial checkin.
